%nacteni projekcnich matic, ziskane z kalibrace stereo-pohledu
load kalibrace

%nacteni obr. s kvadrem
im= imread('cd.jpg');
imshow(im);
hold on

%zadani bodu objektu , levy pohled
%body je klikaji podle obrazku body.jpg
m1= getpoint(8);
%zadani bodu objektu , pravy pohled
m2= getpoint(8);

%stereo rekonstrukce
%jsou pouzity 2D souradnice z obou pohledu (musi si odpovidat)
x= stereo(P1,m1,P2,m2)

%kdyz vime, v jakem usporadani mame body ziskane
%pak muzeme z nich vytvorit trojuhelniky
%pozn. poradi 8 naklikanych bodu musi mit danne poradi, jinak trojuhelniky
%nebudou tvorit kvadr
TRI=[1 2 3;2 3 4;1 2 5;2 6 5;1 3 5;3 5 7;3 4 8;3 7 8;2 6 8;2 4 8;5 6 8;5 7 8]

%vykresleni zrekonstruovanych bodu v 3D prostoru
plot3(x(1,:),x(2,:),x(3,:),'o')

%a navic, vykresleni trojuhelniku ze ziskanych 3D bodu
%bud
figure
trisurf(TRI,x(1,:),x(2,:),x(3,:),1)
axis vis3d
axis equal
%a nebo
figure
trimesh(TRI,x(1,:),x(2,:),x(3,:))
axis equal
axis vis3d